Loading...
Searching...
No Matches
oval_cmp_evr_string_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include "../common/util.h"`
`#include "oval_definitions.h"`
`#include "oval_types.h"`
Include dependency graph for oval_cmp_evr_string_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | dpkg_version

## Functions

oval_result_t | oval_evr_string_cmp (const char *state, const char *sys, oval_operation_t operation)
| Compare two EVR (Epoch:Version-Release) strings.
oval_result_t | oval_versiontype_cmp (const char *state, const char *syschar, oval_operation_t operation)
oval_result_t | oval_debian_evr_string_cmp (const char *state, const char *sys, oval_operation_t operation)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/

## Function Documentation

## oval_evr_string_cmp()

oval_result_t oval_evr_string_cmp | ( | const char * | state,
|  | const char * | sys,
|  | oval_operation_t | operation )

Compare two EVR (Epoch:Version-Release) strings.

The format of input types shall conform to EntityStateEVRStringType. Comparisons involving this datatype follow the algorithm of librpm's rpmvercmp() function.

Parameters

  state | evr_string as defined by state element
  sys | evr_string as captured from system (from syschar object)
  operation | type of comparison operation

Returns
  result of comparison